Module | Rinda
In: | rinda/tuplespace.rb rinda/ring.rb rinda/rinda.rb

A module to implement the Linda distributed computing paradigm in Ruby.

Rinda is part of DRb (dRuby).

## Example(s)

See the sample/drb/ directory in the Ruby distribution, from 1.8.2 onwards.

### Classes and Modules

Class Rinda::DRbObjectTemplate
Class Rinda::InvalidHashTupleKey
Class Rinda::NotifyTemplateEntry
Class Rinda::RequestCanceledError
Class Rinda::RequestExpiredError
Class Rinda::RindaError
Class Rinda::RingFinger
Class Rinda::RingProvider
Class Rinda::RingServer
Class Rinda::SimpleRenewer
Class Rinda::Template
Class Rinda::TemplateEntry
Class Rinda::Tuple
Class Rinda::TupleBag
Class Rinda::TupleEntry
Class Rinda::TupleSpace
Class Rinda::TupleSpaceProxy
Class Rinda::WaitTemplateEntry

### Constants

Ring_PORT | = | 7647 |  | The default port Ring discovery will use.

[Validate]